#include "StdAfx.h"
#include "Global.h"
#include "ShowDataForm.h"
#include <stdio.h>
#include "DotNetString.h"

using namespace ObjDataEdit;


void ShowDataForm::Init( )
{
	g_ShowDataForm = new ShowDataForm;	
}
void ShowDataForm::Clear( )
{
	this->LV_DataList->Items->Clear();
}
void ShowDataForm::ShowForm( )
{	
	this->ShowDialog();
}

System::Void ShowDataForm::ShowDataForm_Load(System::Object*  sender, System::EventArgs*  e)
{
	
}
System::Void ShowDataForm::Click_OK_Event(System::Object*  sender, System::EventArgs*  e)
{
	Close();
}

void	ShowDataForm::SetHistory( System::String* StrList[] )
{
	/*
	System::String* StrList[] = new System::String*[5];
	StrList[0] = String::Format("{0}" , __box( Treasure.Item[i].OrgID ));
	StrList[1] = S"";
	StrList[2] = S"0%";
	StrList[3] = String::Format( "{0}" , __box( Treasure.Item[i].Count ) );
	StrList[4] = String::Format( "{0}" , __box( Treasure.Item[i].DropCount ) );
	ListViewItem*  NewListViewItem = new ListViewItem( StrList );
	LV_TreasureList->Items->Add( NewListViewItem );

	*/
	ListViewItem*  NewListViewItem = new ListViewItem( StrList );
	LV_DataList->Items->Add( NewListViewItem );
}

